SUCCESSFUL_TRANSACTION
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Base Mainnet | ✅ |
Base Testnet (sepolia) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Webhook Creation Request Example
When eventType is set to SUCCESSFUL_TRANSACTION, the available condition object fields are as follows.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
addresses | Array of String | true | List of sender addresses to monitor. You receive a notification when a transaction has one of these addresses as from. | ["0x6f76C54ea83b2a66Bd3B11456623b366AecaD510", |
Request Example
curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
"eventType": "SUCCESSFUL_TRANSACTION",
"description": "{WEBHOOK_DESCRIPTION}",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"isInstant": false,
"condition": {
"addresses": [
"0x80bad9274698b29ff66ad0b564c622600571801f"
]
}
}'
Response Example
{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"eventType": "SUCCESSFUL_TRANSACTION",
"event": {
"targetAddress": "0xdb57289d8b1462d0d8ef39176ca1bfbcd64ec0b9", // ⚠️ This field will be deprecated soon
"targetAddresses": ["0xdb57289d8b1462d0d8ef39176ca1bfbcd64ec0b9"],
"messages": [
{
"block_hash": "0x244b07acc0097109279017498a1df1601a0365ea660b7436db9d4b2b07dd4e8a",
"block_number": 21492058,
"block_timestamp": 1735281515,
"from_address": "0xdb57289d8b1462d0d8ef39176ca1bfbcd64ec0b9",
"gas": 21000,
"gas_price": 5000000000,
"hash": "0x8c1413b7f96a7aa0f0de65c35c78648e60e745f705d95c9d4355cf4573f82bde",
"input": "0x",
"max_fee_per_gas": null,
"max_priority_fee_per_gas": null,
"nonce": 1,
"to_address": "0x1c727a55ea3c11b0ab7d3a361fe0f3c47ce6de5d",
"transaction_index": 267,
"transaction_type": 0,
"value": "1097670182736000",
"access_list": null,
"receipt_contract_address": null,
"receipt_cumulative_gas_used": 29867870,
"receipt_effective_gas_price": 5000000000,
"receipt_gas_used": 21000,
"receipt_root": null,
"receipt_status": 1,
"type": "transaction"
}
]
},
"createdAt": "2024-12-27T06:40:34.438Z"
}